---
- name: Set OS dependent variables
  ansible.builtin.include_vars: "{{ lookup('first_found', params) }}"
  vars:
    params:
      files:
        - "{{ ansible_distribution | lower }}_{{ ansible_distribution_version | lower }}.yml"
        - "{{ ansible_distribution | lower }}_{{ ansible_distribution_major_version | lower }}.yml"
        - "{{ ansible_distribution | lower }}.yml"
        - "{{ ansible_os_family | lower }}.yml"
        - "{{ ansible_system | lower }}.yml"
      paths:
        - "{{ role_path }}/vars"
  ignore_errors: true # noqa ignore-errors

- name: OS is supported
  ansible.builtin.assert:
    that: __os_supported
    quiet: true
  vars:
    __os_supported: "{{ lookup('vars', '{}_os_supported'.format(role_name)) | bool }}"

- name: Install hosts file
  ansible.builtin.template:
    src: hosts.j2
    dest: "{{ hostsfile_path }}"
    mode: "0444"
  register: hostsfile_install

- name: Gather fqdn
  ansible.builtin.command: hostname -f
  check_mode: false
  changed_when: false
  register: hostsfile_hostname

- name: Sanity check
  ansible.builtin.fail:
    msg: hostname -f ({{ hostsfile_hostname.stdout }}) is not {{ inventory_hostname }}
  when: inventory_hostname !=  hostsfile_hostname.stdout

- name: Rerun setup
  ansible.builtin.setup:
  when: inventory_hostname !=  ansible_fqdn
